extend ../../../ComponentesPug/ModalBusqueda/Plantilla.pug

block variables
    - var TituloModal = "{{ tTituloModal }}"
    - var NombreVariable = "Coleccion"
    - var ListadoCabecera = ["Colección", "Descripcion"]
    - var TamanoColeccion = "tColecciones.length"
    - var PaginaActual = "tPagina"
    - var TamanoPagina = "tTamanoPag"

block ListadoContenido
    tr(*ngFor="let tColeccion of tColecciones | buscar : {'campoFiltro' : tFiltroActual, 'busquedaFiltro' : tFiltroBusqueda} | slice: (tPagina-1) * tTamanoPag : (tPagina-1) * tTamanoPag + tTamanoPag; let jv = index")
        th
            button(type="button", (click)="activeModal.close({'Resultado' : 'S', '" + NombreVariable + "' : tColeccion})").btn.btn-sm.btn-link
                .fas.fa-mouse-pointer
        td
            h6.text-xs {{ tColeccion.Codcoleccion }}
        td
            h6.text-xs.text-nowrap {{ tColeccion.Descripcion }}